Cyberduck Mountain Duck CLI

Opened 7 years ago

Closed 7 years ago

Last modified 6 years ago

#6090 closed defect (thirdparty)

Java optional install required

Reported by: brauseauto Owned by: dkocher
Priority: high Milestone: 4.3
Component: appstore Version: 4.2.1
Severity: normal Keywords: Java, Lion, 10.7, Installation
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description (last modified by brauseauto)

Ist es möglich, auf Java so zu verzichten, sodass man Cyberduck auch einfach so starten kann? Ich nutze Cyberduck schon lange und habe es mir nun im AppStore gekauft, da man gute Programme unterstützen sollte! Dieses Programm ist mac-like! Nur leider ist es störend, dass man nur mit einem Update und der damit verbundenen Java-Runtime Installation Cyberduck ausführen und nutzen kann... Ich wäre froh, wenn dieses in Zukunft auch ohne extra Installation von Java auskommt...

Im Anhang mal ein Screenshot aus dem Netz, dabei muss nur das CS5ServiceManager durch Cyberduck ausgetauscht werden... http://www.berndsworld.com/wp-content/uploads/2011/06/Java-Installation-Lion.png

YOU CAN NOT USE CYBERDUCK WITHOUT INSTALLING JAVA!!!

Attachments (2)

Bildschirmfoto 2011-07-23 um 21.24.56.png (61.8 KB) - added by brauseauto 7 years ago.
Hier nun ein Screenshot von mir…
Bildschirmfoto 2012-05-20 um 21.40.17.png (632.1 KB) - added by brauseauto 7 years ago.
Mountain Lion 10.8 - Same Problem with latest Version Cyberduck 4.2.1

Download all attachments as: .zip

Change History (31)

comment:1 follow-up: Changed 7 years ago by dkocher

This should have been fixed in r8891. Are you running 4.1 and get the installation alert?

comment:2 Changed 7 years ago by dkocher

  • Milestone changed from 4.2 to 4.1.1

comment:3 Changed 7 years ago by dkocher

  • Milestone changed from 4.1.1 to 4.1
  • Resolution set to fixed
  • Status changed from new to closed
  • Summary changed from Java wird benötigt, um Cyberduck zu starten to Java optional install required

comment:4 in reply to: ↑ 1 Changed 7 years ago by brauseauto

Replying to dkocher:

This should have been fixed in r8891. Are you running 4.1 and get the installation alert?

i am running 4.1 (latest version from mac appstore) and i cant start cyberduck! only, if i install java!

comment:5 Changed 7 years ago by brauseauto

  • Milestone changed from 4.1 to 4.2

comment:6 Changed 7 years ago by brauseauto

  • Resolution fixed deleted
  • Status changed from closed to reopened

please let open and not fixed! because i have a new mac with lion and have that problem with Mac OS X Lion 10.7 and also with Snow Leopard 10.6! any solutions?

Last edited 7 years ago by brauseauto (previous) (diff)

comment:7 Changed 7 years ago by dkocher

  • Milestone changed from 4.2 to 4.1.1

Changed 7 years ago by brauseauto

Hier nun ein Screenshot von mir...

comment:8 Changed 7 years ago by brauseauto

Jetzt noch einmal aktuelle Screenshots von mir, App 4.1 aus dem Store frisch letzte Nacht mit 10.7 (Lion) installiert...

Now current screenshots from app version 4.1 from mac app store. my operating system 10.7 (Lion), installed last night!

comment:9 Changed 7 years ago by dkocher

  • Milestone changed from 4.1.1 to 4.1.2

comment:10 Changed 7 years ago by dkocher

The Java runtime is not needed to be installed for the App Store version but due to a bug in a system library shipped with OS X the optional install alert is triggered. This will take some longer time to get resolved.

comment:11 Changed 7 years ago by dkocher

Should be fixed in this changeset.

comment:12 Changed 7 years ago by brauseauto

Thanks for this information. Will you inform me, if this is fixed? Thanks for your work!

comment:13 Changed 7 years ago by dkocher

  • Milestone changed from 4.1.2 to 4.1.3

I can't give an estimate as we depend on Apple here.

comment:14 Changed 7 years ago by brauseauto

Thanks, hope, Apple will answer soon. I bought your version at the Mac AppStore to support your work. Thanks for that! Only one point, it seems, apple is lazy because there is version 4.1.1 and here we are at 4.1.2 ;-)

comment:15 Changed 7 years ago by dkocher

  • Milestone changed from 4.1.3 to 4.2

comment:17 Changed 7 years ago by dkocher

  • Milestone changed from 4.2 to 4.3

Milestone 4.2 deleted

comment:18 Changed 7 years ago by brauseauto

any new informations?

is it possible to change cyberduck in that way, that this message will not appear and ask to install java? cyberduck is a great application, but this message is a reason not to use it. i don't want to install java...

please change the code of cyberduck in that way, that this message appears anymore...

comment:19 Changed 7 years ago by brauseauto

It is too bad. 9 month this ticket is now open, nothing happens... i think, i had to search another ftp client...

comment:20 Changed 7 years ago by brauseauto

  • Priority changed from normal to high

comment:21 Changed 7 years ago by brauseauto

  • Description modified (diff)
  • Type changed from enhancement to defect
  • Version changed from 4.1 to 4.2.1

comment:22 Changed 7 years ago by brauseauto

  • Owner changed from ? to dkocher
  • Status changed from reopened to new

comment:23 Changed 7 years ago by brauseauto

  • Owner changed from dkocher to brauseauto

comment:24 Changed 7 years ago by dkocher

  • Owner changed from brauseauto to dkocher
  • Status changed from new to assigned

Changed 7 years ago by brauseauto

Mountain Lion 10.8 - Same Problem with latest Version Cyberduck 4.2.1

comment:25 follow-up: Changed 7 years ago by dkocher

  • Resolution set to thirdparty
  • Status changed from assigned to closed

This will be fixed in Java for OS X 2012-004.

comment:26 in reply to: ↑ 25 ; follow-up: Changed 7 years ago by dkocher

Replying to dkocher:

This will be fixed in Java for OS X 2012-004.

And a potential other OS X update for systems with no Java installed.

comment:27 in reply to: ↑ 26 ; follow-up: Changed 7 years ago by brauseauto

Replying to dkocher:

Replying to dkocher:

This will be fixed in Java for OS X 2012-004.

And a potential other OS X update for systems with no Java installed.

This is not fixed in Java for OS X 2012-004. Can't open Cyberduck without installing Java!

comment:28 in reply to: ↑ 27 Changed 6 years ago by dkocher

Replying to brauseauto:

Replying to dkocher:

Replying to dkocher:

This will be fixed in Java for OS X 2012-004.

And a potential other OS X update for systems with no Java installed.

This is not fixed in Java for OS X 2012-004. Can't open Cyberduck without installing Java!

This only applies to the App Store version which does need no Java runtime installed. The regular download still requires a installed Java runtime.

comment:29 Changed 6 years ago by dkocher

  • Milestone changed from 4.3 to 4.2.2

In r9738 and r9741.

Note: See TracTickets for help on using tickets.
swiss made software